package org.netkernel.module.standard.builtin;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.DefaultPrototypeMeta;
import org.netkernel.layer0.meta.impl.PrototypeParameterMetaImpl;
import org.w3c.dom.Element;

public class LiteralResourcePrototype extends DefaultPrototypeMeta
{
	public static IPrototypeParameterMeta[] sPrototypeParameters = new IPrototypeParameterMeta[]
   {	new PrototypeParameterMetaImpl("config",Element.class,IPrototypeParameterMeta.NO_DEFAULT),
 	};
	
	public LiteralResourcePrototype()
	{	super(LiteralResourceEndpoint.class,"Literal");
	}

	public String getName()
	{	return "Literal";
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return sPrototypeParameters;
	}

	public String getDescription()
	{	return "A single literal resource mapped to an identifier";
	}
}