package org.netkernel.module.standard.builtin;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.DefaultPrototypeMeta;

public class PrivateFilterPrototype extends DefaultPrototypeMeta
{
	public static IPrototypeParameterMeta[] sPrototypeParameters = NOPARAM;
	
	public PrivateFilterPrototype()
	{	super(PrivateFilterEndpoint.class,"PrivateFilter");
	}

	public String getName()
	{	return "Private Filter";
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return sPrototypeParameters;
	}

	public String getDescription()
	{	return "Filter private functionality from wrapped space";
	}
}